%Secant Line Demo Code
%Fred Park
%Whittier College Spring 2016


f = @(x) x.^4; %function handle for y = x^4

x = [0:0.01:2.1]; %range of x values for f

[m1,g1] = create_secant(f,1,1+1);
[m2,g2] = create_secant(f,1,1+3/4);
[m3,g3] = create_secant(f,1,1+1/2);
[m4,g4] = create_secant(f,1,1+1/4);
[m5,g5] = create_secant(f,1,1+1/8);
[m6,g6] = create_secant(f,1,1+1/1000);

m = [m1 m2 m3 m4 m5 m6]; %secant line slopes

x1 = [1:0.01:1+1]; %x range of values

G = cell(1,7); %cell array to store function handles
G{1}=f; G{2} = g1; G{3} = g2; G{4} = g3; 
G{5} = g4; G{6} = g5; G{7} = g6; 

fh = figure(1);
% plot with pausing
%title('secant line approximations')
%saveas(gcf,strcat('secant_line_',num2str(0),''))

for j=1:5
    for i=1:7
        ax = gca;
        %ax.View = [11.5 39.6];
        %ax.Box = 'off';
        if i==1
            plot(x,f(x),'b-',1,f(1),'bo')
            title('Secant lines to f(x) = x^4')
        else
        plot(x1,G{i}(x1))
        end
        hold on;
        pause(0.75)
    end
    %turn off the hold ons for plotting
    hold off; hold off; hold off; hold off; 
    hold off; hold off; hold off; 
end




